Client Insight
21 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getRealTimeClientCards | POST | Get real-time client cards. |
| getMostActiveClients | GET | Get most active client. |
| getApDensity | GET | Get ap density. |
| getClientActivity | GET | Get client activity |
| getClientsAssociationActivities | GET | Get clients association activities. |
| getClientsAssociationTimeDistribution | GET | Get clients association time distribution. |
| getClientsDistribution | GET | Get client distribution. |
| getClientsFreqDistribution | GET | Get clients freq distribution. |
| getClientsRssiDistribution | GET | Get clients rssi distribution. |
| getClientsBandDistribution | GET | Get clients signal distribution. |
| getClientsSsidDistribution | GET | Get clients ssid distribution. |
| getClientsBubble | GET | Get clients bubble. |
| getCurrentClientNum | GET | Get current client number. |
| getLongestClientUptime | GET | Get longest client uptime. |
| getPastClientNum | GET | Get past client number. |
| getGridKnownClients | GET | Get known clients list |
| getGridPastConnections | GET | Get client past connection list |
| getDeviceClient5MinStat | POST | Get device client 5 min stat. |
| getStackClientStat | POST | Get stack client stat. |
| getClientNumberForCustomerList | POST | Get the Msp customers' client count. |
| getMspDashboardOverall | GET | Get the msp overview diagram of client. |
getRealTimeClientCards
POST /openapi/v1/{omadacId}/sites/{siteId}/client/realtime/cards
Get real-time client cards.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ClientCardsQueryOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
cards | array<ClientCardsParamOpenApiVO> | no | client cards to query |
// omada_call_operation
{
"operationId": "getRealTimeClientCards",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get real-time client distribution cards (e.g. by RSSI, SNR) with customizable buckets.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getMostActiveClients
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/active-clients
Get most active client.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getMostActiveClients",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get most active clients with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getApDensity
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/ap-density
Get ap density.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getApDensity",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get ap density with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getClientActivity
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/client-activity
Get client activity
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | no | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | no | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getClientActivity",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get client activity with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getClientsAssociationActivities
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/client-association-activities
Get clients association activities.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getClientsAssociationActivities",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get clients association activities with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getClientsAssociationTimeDistribution
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/client-association-time-distribution
Get clients association time distribution.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getClientsAssociationTimeDistribution",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get clients association time distribution with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getClientsDistribution
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/client-distribution
Get client distribution.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getClientsDistribution",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get client distribution with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getClientsFreqDistribution
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/client-freq-distribution
Get clients freq distribution.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getClientsFreqDistribution",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get clients freq distribution with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getClientsRssiDistribution
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/client-rssi-distribution
Get clients rssi distribution.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getClientsRssiDistribution",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get clients rssi distribution with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getClientsBandDistribution
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/client-signal-distribution
Get clients signal distribution.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getClientsBandDistribution",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get clients signal distribution with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getClientsSsidDistribution
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/client-ssid-distribution
Get clients ssid distribution.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getClientsSsidDistribution",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get clients ssid distribution with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getClientsBubble
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/clients-bubble
Get clients bubble.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getClientsBubble",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get clients bubble with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getCurrentClientNum
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/current-client-num
Get current client number.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getCurrentClientNum",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get current client number with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getLongestClientUptime
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/longest-uptime
Get longest client uptime.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getLongestClientUptime",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get longest client uptime with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getPastClientNum
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/past-client-num
Get past client number.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getPastClientNum",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get past client number with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getGridKnownClients
GET /openapi/v1/{omadacId}/sites/{siteId}/insight/clients
Get known clients list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.lastSeen | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
filters.timeStart | query | string | no | Filter query parameters, support field time range: start timestamp (ms). |
filters.timeEnd | query | string | no | Filter query parameters, support field time range: end timestamp (ms). |
filters.guest | query | string | no | Filter query parameters, support field guest: true/false. |
searchKey | query | string | no | Fuzzy query parameters, support field name,mac,ssid. |
// omada_call_operation
{
"operationId": "getGridKnownClients",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get known clients list.
The interface requires one of the permissions:
Site Insight Manager View Only
Site Clients Manager View Only
getGridPastConnections
GET /openapi/v1/{omadacId}/sites/{siteId}/insight/past-connection
Get client past connection list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.lastSeen | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
filters.timeStart | query | string | no | Filter query parameters, support field time range: start timestamp (ms). |
filters.timeEnd | query | string | no | Filter query parameters, support field time range: end timestamp (ms). |
filters.guest | query | string | no | Filter query parameters, support field guest: true/false. |
searchKey | query | string | no | Fuzzy query parameters, support field name,mac,ssid. |
// omada_call_operation
{
"operationId": "getGridPastConnections",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get client past connection list.
The interface requires one of the permissions:
Site Insight Manager View Only
Site Clients Manager View Only
getDeviceClient5MinStat
POST /openapi/v1/{omadacId}/sites/{siteId}/stat/{deviceMac}/client-stat-5min
Get device client 5 min stat.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
deviceType | query | string | yes | Device type. |
Request body — application/json (required) — schema DeviceClientStatQueryOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
start | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | integer | yes | End timestamp, in seconds, such as 1682000000 |
attrs | array<string> | yes | Attribute list to get. |
// omada_call_operation
{
"operationId": "getDeviceClient5MinStat",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"deviceType": "<deviceType>"
},
"body": "{...}"
}Details, permissions and error codes
Obtain the 5-minute sampling statistics of the clients.
The interface requires one of the permissions:
Site Statics Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getStackClientStat
POST /openapi/v1/{omadacId}/sites/{siteId}/stat/stacks/{stackId}/client-stat
Get stack client stat.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
Request body — application/json (required) — schema DeviceClientStatQueryOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
start | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | integer | yes | End timestamp, in seconds, such as 1682000000 |
attrs | array<string> | yes | Attribute list to get. |
// omada_call_operation
{
"operationId": "getStackClientStat",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
},
"body": "{...}"
}Details, permissions and error codes
Obtain the sampling statistics of the clients.
The interface requires one of the permissions:
Site Statics Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getClientNumberForCustomerList
POST /openapi/v1/msp/{mspId}/customers/client-count
Get the Msp customers' client count.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema CustomerQueryOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
customerIds | array<string> | yes | Customer Ids to get client number. |
// omada_call_operation
{
"operationId": "getClientNumberForCustomerList",
"body": "{...}"
}Details, permissions and error codes
Get the Msp customers' client count.
The interface requires one of the permissions:
MSP Dashboard View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getMspDashboardOverall
GET /openapi/v1/msp/{mspId}/dashboard/client/overview-diagram
Get the msp overview diagram of client.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getMspDashboardOverall"
}Details, permissions and error codes
Get the msp overview diagram of client
The interface requires one of the permissions:
MSP Dashboard View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.